WmsParameters (Gis Viewer App 1.1.0-3.6.0 API)
Date: 2015-03-02

org.gcube.portlets.user.gisviewerapp.shared

## Enum WmsParameters

- java.lang.Object
- - java.lang.Enum<WmsParameters>
  - - org.gcube.portlets.user.gisviewerapp.shared.WmsParameters

- All Implemented Interfaces:
    Serializable, Comparable<WmsParameters>

      public enum WmsParameters
      extends Enum<WmsParameters>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BBOX`
    `CRS`
    `FORMAT`
    `HEIGHT`
    `LAYERS`
    `REQUEST`
    `SERVICE`
    `SRS`
    `STYLES`
    `TRANSPARENT`
    `VERSION`
    `WIDTH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getParameter()`
    `String` | `getValue()`
    `void` | `setParameter(String parameter)`
    `void` | `setValue(String value)`
    `static WmsParameters` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WmsParameters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SERVICE

          public static final WmsParameters SERVICE

    - #### VERSION

          public static final WmsParameters VERSION

    - #### REQUEST

          public static final WmsParameters REQUEST

    - #### LAYERS

          public static final WmsParameters LAYERS

    - #### STYLES

          public static final WmsParameters STYLES

    - #### BBOX

          public static final WmsParameters BBOX

    - #### WIDTH

          public static final WmsParameters WIDTH

    - #### HEIGHT

          public static final WmsParameters HEIGHT

    - #### SRS

          public static final WmsParameters SRS

    - #### CRS

          public static final WmsParameters CRS

    - #### FORMAT

          public static final WmsParameters FORMAT

    - #### TRANSPARENT

          public static final WmsParameters TRANSPARENT

  - ### Method Detail

    - #### values

          public static WmsParameters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WmsParameters c : WmsParameters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WmsParameters valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getParameter

          public String getParameter()

    - #### setParameter

          public void setParameter(String parameter)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

Copyright © 2015. All Rights Reserved.